Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSpatialRepresentationFilter Class Reference

`#include <vtkSpatialRepresentationFilter.h>`

Inheritance diagram for vtkSpatialRepresentationFilter:

[legend]
Collaboration diagram for vtkSpatialRepresentationFilter:

[legend]
List of all members.

## Detailed Description

generate polygonal model of spatial search object (i.e., a vtkLocator)

Date:
  2002/11/03 22:51:55

Revision:
  1.28

vtkSpatialRepresentationFilter generates an polygonal representation of a spatial search (vtkLocator) object. The representation varies depending upon the nature of the spatial search object. For example, the representation for vtkOBBTree is a collection of oriented bounding boxes. Ths input to this filter is a dataset of any type, and the output is polygonal data. You must also specify the spatial search object to use.

Generally spatial search objects are used for collision detection and other geometric operations, but in this filter one or more levels of spatial searchers can be generated to form a geometric approximation to the input data. This is a form of data simplification, generally used to accelerate the rendering process. Or, this filter can be used as a debugging/ visualization aid for spatial search objects.

This filter can generate one or more output vtkPolyData corresponding to different levels in the spatial search tree. The output data is retrieved using the GetOutput(id) method, where id ranges from 0 (root level) to Level. Note that the output for level "id" is not computed unless a GetOutput(id) method is issued. Thus, if you desire three levels of output (say 2,4,7), you would have to invoke GetOutput(2), GetOutput(4), and GetOutput(7). (Also note that the Level ivar is computed automatically depending on the size and nature of the input data.) There is also another GetOutput() method that takes no parameters. This method returns the leafs of the spatial search tree, which may be at different levels.

Warning:
  You can specify the number of levels of to generate with the MaxLevels ivar. However, when the spatial search tree is built, this number of levels may not actually be generated. The actual number available can be found in the Levels ivar. Note that the value of Levels may change after filter execution.

See also:
  vtkLocator vtkPointLocator vtkCellLocator vtkOBBTree

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (52%)
  - Martin, Ken (15%)
  - Lorensen, Bill (9%)
  - Blue, Rusty (8%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkSpatialRepresentationFilter.cxx)`
  - .`h` (`/Graphics/vtkSpatialRepresentationFilter.h)`

Tests:
  vtkSpatialRepresentationFilter (Tests)

Definition at line 86 of file vtkSpatialRepresentationFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPolyData * | GetOutput (int level)
vtkPolyData * | GetOutput ()
void | ResetOutput ()
virtual void | SetSpatialRepresentation (vtkLocator *)
virtual vtkLocator * | GetSpatialRepresentation ()
virtual int | GetLevel ()
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
vtkSpatialRepresentationFilter * | New ()
int | IsTypeOf (const char *type)
vtkSpatialRepresentationFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSpatialRepresentationFilter ()
| ~vtkSpatialRepresentationFilter ()
void | Execute ()
void | GenerateOutput ()
## Protected Attributes
int | Level
int | TerminalNodesRequested
vtkLocator * | SpatialRepresentation

## Member Typedef Documentation

typedef vtkPolyDataSource vtkSpatialRepresentationFilter::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 90 of file vtkSpatialRepresentationFilter.h.

## Constructor & Destructor Documentation

vtkSpatialRepresentationFilter::vtkSpatialRepresentationFilter | ( |  | ) | `[protected]`

vtkSpatialRepresentationFilter::~vtkSpatialRepresentationFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSpatialRepresentationFilter* vtkSpatialRepresentationFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkSpatialRepresentationFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkSpatialRepresentationFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkSpatialRepresentationFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkSpatialRepresentationFilter* vtkSpatialRepresentationFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkSpatialRepresentationFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkSpatialRepresentationFilter::SetSpatialRepresentation | ( | vtkLocator * |  | ) | `[virtual]`

| Set/Get the locator that will be used to generate the representation.

virtual vtkLocator* vtkSpatialRepresentationFilter::GetSpatialRepresentation | ( |  | ) | `[virtual]`

| Set/Get the locator that will be used to generate the representation.

virtual int vtkSpatialRepresentationFilter::GetLevel | ( |  | ) | `[virtual]`

| Get the maximum number of outputs actually available.

vtkPolyData* vtkSpatialRepresentationFilter::GetOutput | ( | int | level | ) |

| A special form of the GetOutput() method that returns multiple outputs. Reimplemented from vtkPolyDataSource.

vtkPolyData* vtkSpatialRepresentationFilter::GetOutput | ( |  | ) |

| Output of terminal nodes/leaves. Reimplemented from vtkPolyDataSource.

void vtkSpatialRepresentationFilter::ResetOutput | ( |  | ) |

| Reset requested output levels

virtual void vtkSpatialRepresentationFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkSpatialRepresentationFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkSpatialRepresentationFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkSpatialRepresentationFilter::GenerateOutput | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkSpatialRepresentationFilter::Level`[protected]`

| Definition at line 127 of file vtkSpatialRepresentationFilter.h.

int vtkSpatialRepresentationFilter::TerminalNodesRequested`[protected]`

| Definition at line 128 of file vtkSpatialRepresentationFilter.h.

vtkLocator* vtkSpatialRepresentationFilter::SpatialRepresentation`[protected]`

| Definition at line 130 of file vtkSpatialRepresentationFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkSpatialRepresentationFilter.h